Bug 98919 - CAN-2003-0192 mod_ssl renegotiation issue
CAN-2003-0192 mod_ssl renegotiation issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mod_ssl (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
http://cve.mitre.org/cgi-bin/cvename....
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 08:33 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-22 04:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-07-10 08:33:13 EDT
Description:
Certain sequences of per-directory renegotiations and the SSLCipherSuite
directive being used to upgrade from a weak ciphersuite to a strong one could
result in the weak ciphersuite being used in place of the strong one.

Version:
This issue affects the mod_ssl shipped with all variants of Red Hat Enterprise
Linux 2.1.

Mitigating:
Very few sites use the (experimental) per-directory SSL renegotiation directives
and would be vulnerable to this issue.

This is Bug 98852 for Red Hat Linux.
Comment 1 Mark J. Cox (Product Security) 2003-07-10 08:34:06 EDT
We are marking this as low priority and are unlikely to release an errata to
just fix this issue.  
Comment 2 Mark J. Cox (Product Security) 2003-09-22 04:39:09 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-244.html

Note You need to log in before you can comment on or make changes to this bug.